import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.io.File;
import java.util.Map;
import java.util.ResourceBundle;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.netbeans.spi.wizard.Wizard;
import org.netbeans.spi.wizard.WizardPage;
import org.netbeans.spi.wizard.WizardPanelNavResult;



public class ServletParametres extends WizardPage {

	private JTextField txtWebapps;
	private JTextField txtServlet;
	
	public ServletParametres(Map settings) {
		FlowLayout flLayout = (FlowLayout)getLayout();
		flLayout.setAlignment(FlowLayout.LEFT);
		flLayout.setVgap(20);
		
		add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.servletparams.preambule")));
		
		GridLayout glayout = new GridLayout(2, 1);
		glayout.setVgap(15);
		glayout.setHgap(5);
		
		JPanel etiquettes = new JPanel(glayout);
		JPanel saisies = new JPanel(glayout);
		JPanel params = new JPanel();
		
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.servletparams.lbl.webapps")));
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.servletparams.lbl.servlet")));
		
		this.txtWebapps = new JTextField(((ResourceBundle)settings.get("messages")).getString("osames.webapps"));;
		this.txtServlet = new JTextField(((ResourceBundle)settings.get("messages")).getString("osames.servlet"));;
		txtWebapps.setName("txtWebapps");
		txtServlet.setName("txtServlet");
		txtWebapps.setColumns(20);
		txtServlet.setColumns(15);
		saisies.add(txtWebapps);
		saisies.add(txtServlet);
		
		params.add(etiquettes);
		params.add(saisies);
		add(params);
	}
	
	protected String validateContents (Component component, Object o) {
		if (this.txtWebapps.getText().length() == 0)
			return ((ResourceBundle)getWizardDataMap().get("messages")).getString("gui.servletparams.validation.erreur.webapps");
		else if (this.txtServlet.getText().length() == 0)
			return ((ResourceBundle)getWizardDataMap().get("messages")).getString("gui.servletparams.validation.erreur.servlet");
		else
			return null;
	}

	public WizardPanelNavResult allowNext(String etape, Map settings, Wizard wizard) {
		if (!new File(this.txtWebapps.getText()).isDirectory()) {
			setProblem(((ResourceBundle)settings.get("messages")).getString("erreur.webapps"));
			return WizardPanelNavResult.REMAIN_ON_PAGE;
		} else {
			return WizardPanelNavResult.PROCEED;
		}
	}
	
}
